searchData={"items":[{"type":"module","title":"Datex","doc":"Human readable simple date and time library.\n\nIt works with standard date and time as well as elixir date, time formats.\n\nYou can get a specific day, date, add days to date and get results which are friendly and easy to understand.\n\nCompare dates and time, obtain results in formats you want to use. Convert any date, time formats to elixir formats and vice-versa.\n\nGet current date, yesterday, tommmorow with or without time zones(utc by default).","ref":"Datex.html"},{"type":"function","title":"Datex.compare_date/2","doc":"Compare dates in two different formats including elixir format and get results in human readable and friendly way.","ref":"Datex.html#compare_date/2"},{"type":"function","title":"Examples - Datex.compare_date/2","doc":"iex> Datex.Date.compare(\"18 Sept, 2018\", \"15/08/2018\")\n    \"a month and 4 days later\"","ref":"Datex.html#compare_date/2-examples"},{"type":"function","title":"Datex.format_time/2","doc":"Format time in the way you specify and vice-versa.","ref":"Datex.html#format_time/2"},{"type":"function","title":"Examples - Datex.format_time/2","doc":"iex> Datex.Time.format_time(\"12:45 pm\", \"elixir\")\n    ~T[12:45:00.000000]","ref":"Datex.html#format_time/2-examples"},{"type":"function","title":"Datex.yesterday/0","doc":"Get yesterday's date","ref":"Datex.html#yesterday/0"},{"type":"function","title":"Examples - Datex.yesterday/0","doc":"iex> Datex.Date.yesterday()\n    \"16 September, 2018\"","ref":"Datex.html#yesterday/0-examples"},{"type":"module","title":"Datex.Date","doc":"Date provides simple date formats to work with and manipulate any date formats to either elixir or any nicer looking dates.","ref":"Datex.Date.html"},{"type":"function","title":"Datex.Date.add/3","doc":"Add days to date.\n\nIt takes 2 arguments and an optional 3rd argument. First argument is `Date` in elixir date format or standard date as `String`, second is `number of days`.\nThird argument is format like `:nice_date`, `:elixir`, `:nice_short_date`.\n\nIt returns date in formats specified in `today()` function.","ref":"Datex.Date.html#add/3"},{"type":"function","title":"Examples - Datex.Date.add/3","doc":"iex()> Datex.Date.add(\"15 Oct, 2018\", 10)\n    \"25 October, 2018\"\n\n    iex()> Datex.Date.add(\"20/10/2018\", 13, :elixir)\n    ~D[2018-11-02]\n\n    iex()> Datex.Date.add(\"15 Oct, 2018\", 10, :nice_short_date)\n    \"25 Oct, 2018\"","ref":"Datex.Date.html#add/3-examples"},{"type":"function","title":"Datex.Date.beginning_of_month/1","doc":"Returns the first date of the month for the given date.","ref":"Datex.Date.html#beginning_of_month/1"},{"type":"function","title":"Examples - Datex.Date.beginning_of_month/1","doc":"iex> Datex.Date.beginning_of_month(\"15 Sept, 2018\")\n    ~D[2018-09-01]\n\n    iex> Datex.Date.beginning_of_month(\"1 Jan, 2020\")\n    ~D[2020-01-01]","ref":"Datex.Date.html#beginning_of_month/1-examples"},{"type":"function","title":"Datex.Date.business_days_between/2","doc":"Returns the number of business days (Monday-Friday) between two dates.","ref":"Datex.Date.html#business_days_between/2"},{"type":"function","title":"Examples - Datex.Date.business_days_between/2","doc":"iex> Datex.Date.business_days_between(\"1 Jan, 2018\", \"5 Jan, 2018\")\n    5\n\n    iex> Datex.Date.business_days_between(\"1 Jan, 2018\", \"7 Jan, 2018\")\n    5","ref":"Datex.Date.html#business_days_between/2-examples"},{"type":"function","title":"Datex.Date.compare/2","doc":"It compares 2 `dates` and provides us human friendly results like `2 days later` or `6 months ago`.\n\nIt takes 2 arguments. First is a `date` and second is also a `date` defaulted to `today`.\nIt returns friendly result as `string`\n\n`compare/1` will compare the given `date` from today itself. You can even pass second argument as `date` to compare with.","ref":"Datex.Date.html#compare/2"},{"type":"function","title":"Examples - Datex.Date.compare/2","doc":"iex()> Datex.Date.compare(\"15 aug 2018\")\n    \"a month and 1 day ago\"\n\n    iex()> Datex.Date.compare(\"15 aug 2018\", \"20/05/2017\")\n    \"a year and 2 months later\"\n\n    iex()> Datex.Date.compare(\"15-08-2018\", \"20/05/2010\")\n    \"8 years later\"\n\n    iex(10)> Datex.Date.compare(\"15 aug 2018\", ~D[2018-08-06])\n    \"a week and 2 days later\"","ref":"Datex.Date.html#compare/2-examples"},{"type":"function","title":"Datex.Date.date_in_range/2","doc":"It checks whether a particular `date` falls inside a `DateRange`.\n\nIt takes 2 arguments. First is a `DateRange` and second is `date`.\nIt returns boolean either `true` or `false`. You can iterate over `DateRange` for other date functionalities.","ref":"Datex.Date.html#date_in_range/2"},{"type":"function","title":"Examples - Datex.Date.date_in_range/2","doc":"iex()> range = Datex.Date.range(~D[2018-10-17], \"12 Dec 2019\")\n    #DateRange<~D[2018-10-17], ~D[2019-12-12]>\n    iex()> Datex.Date.date_in_range(range, \"12/03/2019\")\n    true\n\n    iex()> Datex.Date.date_in_range(range, \"12/03/2021\")\n    false\n\n    iex()> for date <- range, do: date\n    [~D[2018-10-17], ~D[2018-10-18], ~D[2018-10-19], ~D[2018-10-20], ~D[2018-10-21],\n     ~D[2018-10-22], ~D[2018-10-23], ~D[2018-10-24], ~D[2018-10-25], ~D[2018-10-26],\n     ~D[2018-10-27], ~D[2018-10-28], ~D[2018-10-29], ~D[2018-10-30], ~D[2018-10-31],\n     ...]","ref":"Datex.Date.html#date_in_range/2-examples"},{"type":"function","title":"Datex.Date.date_list/2","doc":"It produces an array of dates in formats you want.\n\nIt takes 2 arguments. First is a `DateRange` and second is `format` which is optional and gives elixir date by default.\nFormats are specified in `format_date()`\nIt returns an array of dates in the given format.","ref":"Datex.Date.html#date_list/2"},{"type":"function","title":"Examples - Datex.Date.date_list/2","doc":"range = Datex.Date.range(\"10 sept, 2018\", \"20 sept, 2018\")\n    iex()> Datex.Date.date_list(range, \"DD-MM-YYYY\")\n    [\"10-09-2018\", \"11-09-2018\", \"12-09-2018\", \"13-09-2018\", \"14-09-2018\",\n    \"15-09-2018\", \"16-09-2018\", \"17-09-2018\", \"18-09-2018\", \"19-09-2018\",\n    \"20-09-2018\"]\n\n    iex()> Datex.Date.date_list(range, \"DAY_SHORT, DATE MONTH_NAME_SHORT\")\n    [\"Mon, 10 Sept\", \"Tue, 11 Sept\", \"Wed, 12 Sept\", \"Thu, 13 Sept\",\n    \"Fri, 14 Sept\", \"Sat, 15 Sept\", \"Sun, 16 Sept\", \"Mon, 17 Sept\",\n    \"Tue, 18 Sept\", \"Wed, 19 Sept\", \"Thu, 20 Sept\"]\n\n    iex()> Datex.Date.date_list(range)\n    [~D[2018-09-10], ~D[2018-09-11], ~D[2018-09-12], ~D[2018-09-13],\n    ~D[2018-09-14], ~D[2018-09-15]]","ref":"Datex.Date.html#date_list/2-examples"},{"type":"function","title":"Datex.Date.day/1","doc":"Get day as `String` for a particular date in any format.\n\nFor example date formats like `DD-MM-YYYY`, `10th Oct, 2019`, `YYYY-MM-DD`,\n`DD/MM/YYYY`, `DD.MM.YYYY` or even elixir dates.","ref":"Datex.Date.html#day/1"},{"type":"function","title":"Examples - Datex.Date.day/1","doc":"iex()> Datex.Date.day(\"12 Sept, 2017\")\n    \"Tuesday\"\n\n    iex()> Datex.Date.day(\"12/7/2018\")\n    \"Thursday\"\n\n    iex()> Datex.Date.day(~D[1997-02-23])\n    \"Sunday\"","ref":"Datex.Date.html#day/1-examples"},{"type":"function","title":"Datex.Date.day_of_week/1","doc":"Get day of week as `Integer` for a particular date in any format. `Monday` is `1` and `Sunday` as `7`.","ref":"Datex.Date.html#day_of_week/1"},{"type":"function","title":"Examples - Datex.Date.day_of_week/1","doc":"iex()> Datex.Date.day_of_week(\"15th Sept 2018\")\n    6","ref":"Datex.Date.html#day_of_week/1-examples"},{"type":"function","title":"Datex.Date.day_short/1","doc":"Returns shory name of day as `String` for a particular date in any format.\n\nFor example date formats like `DD-MM-YYYY`, `10th Oct, 2019`, `YYYY-MM-DD`,\n`DD/MM/YYYY`, `DD.MM.YYYY` or even elixir dates.","ref":"Datex.Date.html#day_short/1"},{"type":"function","title":"Examples - Datex.Date.day_short/1","doc":"iex()> Datex.Date.day_short(\"12 Sept, 2017\")\n    \"Tue\"","ref":"Datex.Date.html#day_short/1-examples"},{"type":"function","title":"Datex.Date.days_in_month/1","doc":"Get number of days in a month as `Integer` for a particular date in any format.","ref":"Datex.Date.html#days_in_month/1"},{"type":"function","title":"Examples - Datex.Date.days_in_month/1","doc":"iex()> Datex.Date.days_in_month(\"2018/09/25\")\n    30","ref":"Datex.Date.html#days_in_month/1-examples"},{"type":"function","title":"Datex.Date.difference/2","doc":"Get difference between two dates as `Integer`.\n\nIt takes 2 different dates as arguments. You can specify 2 dates in different format as well.\nOther than `elixir_date` format remaining formats should be `string`.","ref":"Datex.Date.html#difference/2"},{"type":"function","title":"Examples - Datex.Date.difference/2","doc":"iex(1)> Datex.Date.difference(\"25 oct 2018\", \"10/10/2018\")\n    15\n\n    iex(2)> Datex.Date.difference(~D[2018-11-25], \"10-10-2018\")\n    46","ref":"Datex.Date.html#difference/2-examples"},{"type":"function","title":"Datex.Date.end_of_month/1","doc":"Returns the last date of the month for the given date.","ref":"Datex.Date.html#end_of_month/1"},{"type":"function","title":"Examples - Datex.Date.end_of_month/1","doc":"iex> Datex.Date.end_of_month(\"15 Sept, 2018\")\n    ~D[2018-09-30]\n\n    iex> Datex.Date.end_of_month(\"1 Feb, 2020\")\n    ~D[2020-02-29]","ref":"Datex.Date.html#end_of_month/1-examples"},{"type":"function","title":"Datex.Date.format_date/2","doc":"Change given `date` to a specific date format.\n\nIt takes 2 arguments. First is a `Date` and second is `format` as `String` you want to convert to.\nIt returns `date` in required format.\n\nValid formats are:\n\n`DD-MM-YYYY`\n\n`YYYY-MM-DD`\n\n`DD-MM-YY`\n\n`DD/MM/YYYY`\n\n`YYYY/MM/DD`\n\n`DD/MM/YY`\n\n`DD.MM.YYYY`\n\n`YYYY.MM.DD`\n\n`DD.MM.YY`\n\n`DATE MONTH_NAME_FULL YYYY`\n\n`DATE MONTH_NAME_SHORT YYYY`\n\n`DATE MONTH_NAME_SHORT YY`\n\n`MONTH_NAME_FULL DATE YYYY`\n\n`MONTH_NAME_SHORT DATE YYYY`\n\n`DAY_FULL, DATE MONTH_NAME_FULL YYYY`\n\n`DAY_SHORT, DATE MONTH_NAME_SHORT YYYY`\n\n`DAY, DATE MONTH_NAME_FULL`\n\n`DAY_SHORT, DATE MONTH_NAME_SHORT`","ref":"Datex.Date.html#format_date/2"},{"type":"function","title":"Examples - Datex.Date.format_date/2","doc":"iex()> Datex.Date.format_date(\"10 Feb, 2017\", \"YYYY/MM/DD\")\n    \"2017/02/10\"\n\n    iex()> Datex.Date.format_date(\"10 feb, 2017\", \"MONTH_NAME_FULL DATE YYYY\")\n    \"February 10, 2017\"\n\n    iex()> Datex.Date.format_date(\"10 feb, 2017\", \"DAY_FULL, DATE MONTH_NAME_FULL YYYY\")\n    \"Friday, 10 February 2017\"\n\n    iex()> Datex.Date.format_date(~D[2019-02-10], \"DAY_SHORT, DATE MONTH_NAME_SHORT\")\n    \"Sun, 10 Feb\"","ref":"Datex.Date.html#format_date/2-examples"},{"type":"function","title":"Datex.Date.is_leap_year?/1","doc":"Returns true if the year of the given date is a leap year.","ref":"Datex.Date.html#is_leap_year?/1"},{"type":"function","title":"Examples - Datex.Date.is_leap_year?/1","doc":"iex> Datex.Date.is_leap_year?(\"29 Feb, 2020\")\n    true\n\n    iex> Datex.Date.is_leap_year?(\"29 Feb, 2021\")\n    false","ref":"Datex.Date.html#is_leap_year?/1-examples"},{"type":"function","title":"Datex.Date.is_weekend?/1","doc":"Returns true if the given date is a Saturday or Sunday.","ref":"Datex.Date.html#is_weekend?/1"},{"type":"function","title":"Examples - Datex.Date.is_weekend?/1","doc":"iex> Datex.Date.is_weekend?(\"15 Sept, 2018\")\n    true\n\n    iex> Datex.Date.is_weekend?(\"14 Sept, 2018\")\n    false","ref":"Datex.Date.html#is_weekend?/1-examples"},{"type":"function","title":"Datex.Date.month/1","doc":"Get month name as `String` for a particular date in any format.","ref":"Datex.Date.html#month/1"},{"type":"function","title":"Examples - Datex.Date.month/1","doc":"iex()> Datex.Date.month(\"2018-9-25\")\n    \"September\"","ref":"Datex.Date.html#month/1-examples"},{"type":"function","title":"Datex.Date.next_weekday/1","doc":"Returns the next date for the given weekday after the given date.\nWeekday can be a number (1-7), full day name, or short day name.\nNumbers: 1 (Monday) through 7 (Sunday)\nNames: \"Monday\", \"Mon\", \"monday\", \"mon\", etc.\nIf no date is provided, defaults to today.\nOptional format parameter: :elixir, :nice_date, :nice_short_date","ref":"Datex.Date.html#next_weekday/1"},{"type":"function","title":"Examples - Datex.Date.next_weekday/1","doc":"iex> Datex.Date.next_weekday(\"Friday\")\n    ~D[2018-09-21]\n\n    iex> Datex.Date.next_weekday(\"15 Sept, 2018\", \"Mon\")\n    ~D[2018-09-17]\n\n    iex> Datex.Date.next_weekday(\"15 Sept, 2018\", \"Friday\", :nice_date)\n    \"21 September, 2018\"\n\n    iex> Datex.Date.next_weekday(\"15 Sept, 2018\", 5)\n    ~D[2018-09-21]","ref":"Datex.Date.html#next_weekday/1-examples"},{"type":"function","title":"Datex.Date.next_weekday/2","doc":"","ref":"Datex.Date.html#next_weekday/2"},{"type":"function","title":"Datex.Date.next_weekday/3","doc":"","ref":"Datex.Date.html#next_weekday/3"},{"type":"function","title":"Datex.Date.nth_weekday_of_month/4","doc":"Returns the nth occurrence of a specific weekday in a given month and year.\nWeekday can be a number (1-7), full day name, or short day name.\nNumbers: 1 (Monday) through 7 (Sunday)\nNames: \"Monday\", \"Mon\", \"monday\", \"mon\", etc.\nn can be 1-5 (1st, 2nd, 3rd, 4th, 5th occurrence)\nOptional format parameter: :elixir, :nice_date, :nice_short_date","ref":"Datex.Date.html#nth_weekday_of_month/4"},{"type":"function","title":"Examples - Datex.Date.nth_weekday_of_month/4","doc":"iex> Datex.Date.nth_weekday_of_month(3, \"Monday\", \"November\", 2028)\n    ~D[2028-11-20]\n\n    iex> Datex.Date.nth_weekday_of_month(2, \"Tuesday\", \"Jan\", 2030, :nice_date)\n    \"8 January, 2030\"\n\n    iex> Datex.Date.nth_weekday_of_month(1, 5, 12, 2024)  # 1st Friday of December 2024\n    ~D[2024-12-06]","ref":"Datex.Date.html#nth_weekday_of_month/4-examples"},{"type":"function","title":"Datex.Date.nth_weekday_of_month/5","doc":"","ref":"Datex.Date.html#nth_weekday_of_month/5"},{"type":"function","title":"Datex.Date.quarter/1","doc":"Returns the quarter (1-4) for the given date.","ref":"Datex.Date.html#quarter/1"},{"type":"function","title":"Examples - Datex.Date.quarter/1","doc":"iex> Datex.Date.quarter(\"15 Jan, 2018\")\n    1\n\n    iex> Datex.Date.quarter(\"15 Apr, 2018\")\n    2\n\n    iex> Datex.Date.quarter(\"15 Jul, 2018\")\n    3\n\n    iex> Datex.Date.quarter(\"15 Oct, 2018\")\n    4","ref":"Datex.Date.html#quarter/1-examples"},{"type":"function","title":"Datex.Date.range/2","doc":"Get the range between two dates as `DateRange`.\n\nIt takes 2 different dates as arguments. You can specify 2 dates in different format as well.\nOther than `elixir_date` format remaining formats should be `string`.","ref":"Datex.Date.html#range/2"},{"type":"function","title":"Examples - Datex.Date.range/2","doc":"iex(1)> Datex.Date.range(\"12-12-2018\", \"12 Dec 2019\")\n    #DateRange<~D[2018-12-12], ~D[2019-12-12]>\n\n    iex(2)> Datex.Date.range(~D[2018-10-17], \"12 Dec 2019\")\n    #DateRange<~D[2018-10-17], ~D[2019-12-12]>","ref":"Datex.Date.html#range/2-examples"},{"type":"function","title":"Datex.Date.today/2","doc":"Get current date with or without time zone.\n\nIt takes 2 optional parameters i.e, `time_zone` as first params and `format` as second.\nWithout any params ie today/0 will return utc_date in a nicer format.\n\ntoday/1 will need a time_zone which is specified in timezones.\n\nFor a different format other than `:nice_date` like `:elixir` or `:nice_short_date`,\nYou need to specify first argument along with format as second argument. Pass `:utc` as first argument for default.","ref":"Datex.Date.html#today/2"},{"type":"function","title":"Examples - Datex.Date.today/2","doc":"iex()> Datex.Date.today()\n    \"15 September, 2018\"\n\n    iex()> Datex.Date.today(\"Pacific/Samoa\")\n    \"15 September, 2018\"\n\n    iex()> Datex.Date.today(\"Pacific/Samoa\", :elixir)\n    ~D[2018-09-15]\n\n    iex()> Datex.Date.today(:utc, :nice_short_date)\n    \"15 Sept, 2018\"","ref":"Datex.Date.html#today/2-examples"},{"type":"function","title":"Datex.Date.tomorrow/2","doc":"Get tomorrow's date with or without time zone in similar syntax as today.","ref":"Datex.Date.html#tomorrow/2"},{"type":"function","title":"Examples - Datex.Date.tomorrow/2","doc":"iex()> Datex.Date.tomorrow()\n    \"16 September, 2018\"\n\n    iex()> Datex.Date.tomorrow(\"Asia/Calcutta\", :elixir)\n    ~D[2018-09-16]","ref":"Datex.Date.html#tomorrow/2-examples"},{"type":"function","title":"Datex.Date.week_number/1","doc":"Returns the ISO week number for the given date.","ref":"Datex.Date.html#week_number/1"},{"type":"function","title":"Examples - Datex.Date.week_number/1","doc":"iex> Datex.Date.week_number(\"1 Jan, 2018\")\n    1\n\n    iex> Datex.Date.week_number(\"31 Dec, 2018\")\n    1","ref":"Datex.Date.html#week_number/1-examples"},{"type":"function","title":"Datex.Date.year/1","doc":"Get year as `Integer` for a particular date in any format.","ref":"Datex.Date.html#year/1"},{"type":"function","title":"Examples - Datex.Date.year/1","doc":"iex()> Datex.Date.year(\"5th Jan, 2030\")\n    2030","ref":"Datex.Date.html#year/1-examples"},{"type":"function","title":"Datex.Date.yesterday/2","doc":"Get yesterday's date with or without time zone in similar syntax as today/tomorrow.","ref":"Datex.Date.html#yesterday/2"},{"type":"function","title":"Examples - Datex.Date.yesterday/2","doc":"iex()> Datex.Date.yesterday()\n    \"14 September, 2018\"\n\n    iex(4)> Datex.Date.yesterday(\"Asia/Calcutta\", :nice_short_date)\n    \"14 Sept, 2018\"","ref":"Datex.Date.html#yesterday/2-examples"},{"type":"module","title":"Datex.Time","doc":"Simple Time which can be used in different formats including elixir format `~T[15:45:56]`.\n\nIt includes different functions to compare time and provide relative time in friendly formats and\nfunctions which can format time in multiple ways user needs.","ref":"Datex.Time.html"},{"type":"function","title":"Datex.Time.add/4","doc":"It adds `time` to a given specific time.\n\nIt takes 4 arguments.\nLast 2 arguments are optional  i.e `unit` and `format`.\nTo use a specific `format`, you need to apply `unit` as well.\n\nUnit defaults to `:second` and format to `:hour_12`.\n\nArguments are\n\n1. `time` as `elixir time` or standard time formats in `String`\n\n2. `time to add` as `Integer`\n\n3. `unit` as `atom` from `:hour`, `:minute`, `:second`, `:millisecond`\n\n4.  `format` as `atom` from `:hour_12`, `:hour_24` and `:elixir`","ref":"Datex.Time.html#add/4"},{"type":"function","title":"Examples - Datex.Time.add/4","doc":"iex()> Datex.Time.add(~T[16:56:56], 5)\n    \"04:57 PM\"\n\n    iex()> Datex.Time.add(\"4:56 PM\", 5, :hour)\n    \"09:56 PM\"\n\n    iex()> Datex.Time.add(\"4:56:56\", 5, :hour, :elixir)\n    ~T[09:56:56.000000]\n\n    iex()> Datex.Time.add(\"4:56:56\", 5, :minute, :hour_12)\n    \"05:01 AM\"","ref":"Datex.Time.html#add/4-examples"},{"type":"function","title":"Datex.Time.compare/2","doc":"It compares two times and provides human friendly results.\n\nIt takes 2 arguments. Both are time as `elixir time` or standard time formats in `String`.\nSecond argument is optional as it provides `current time in utc` by default.","ref":"Datex.Time.html#compare/2"},{"type":"function","title":"Examples - Datex.Time.compare/2","doc":"iex()> Datex.Time.compare(\"10:30 am\")\n    \"55 minutes later\"\n\n    iex()> Datex.Time.compare(\"10:30 am\", \"15:34:25\")\n    \"5 hours and 4 minutes later\"\n\n    iex()> Datex.Time.compare(~T[23:16:45], \"15:34:25\")\n    \"7 hours and 42 minutes later\"","ref":"Datex.Time.html#compare/2-examples"},{"type":"function","title":"Datex.Time.difference/3","doc":"It provides difference between 2 times in multiple `units`. It returns difference as `Integer`\n\nIt takes 3 arguments.\nLast 2 arguments are optional  i.e `time2` and `format`.\nTo use a specific `format`, you need to apply `time2` as well or default it to current time in utc i.e Datex.Time.now() function.\n\nUnit defaults to `:second` and time2 to `current time in utc`.\n\nArgumets are\n\n1, 2. `time` as `elixir time` or standard time formats in `String`\n\n3. `unit` as `atom` from `:hour`, `:minute`, `:second`, `:millisecond`","ref":"Datex.Time.html#difference/3"},{"type":"function","title":"Examples - Datex.Time.difference/3","doc":"iex()> Datex.Time.difference(\"10:30 am\")\n    3480\n\n    iex()> Datex.Time.difference(\"11:10 am\", Datex.Time.now())\n    20040\n\n    iex()> Datex.Time.difference(\"11:10 am\", \"10:10:10\", :minute)\n    59","ref":"Datex.Time.html#difference/3-examples"},{"type":"function","title":"Datex.Time.format_time/2","doc":"It converts time in given format.\n\nIt takes 2 arguments. First is time as `elixir time` or standard time formats in `String`.\nSecond argument is format which could be `HH:MM`, `HH:MM:SS`, `HH:MM:SS:uS`, `12 HOUR FORMAT` or `elixir` as `String`.","ref":"Datex.Time.html#format_time/2"},{"type":"function","title":"Examples - Datex.Time.format_time/2","doc":"iex()> Datex.Time.format_time(~T[23:16:45], \"HH:MM:SS\")\n    \"23:16:45\"\n\n    iex(6)> Datex.Time.format_time(\"9 pm\", \"HH:MM:SS\")\n    \"21:00:00\"\"\n\n    iex(7)> Datex.Time.format_time(\"23:12:34\", \"12 HOUR FORMAT\")\n    \"11:12 PM\"\n\n    iex(1)> Datex.Time.format_time(\"23:12:34\", \"elixir\")\n    ~T[23:12:34.000000]","ref":"Datex.Time.html#format_time/2-examples"},{"type":"function","title":"Datex.Time.now/1","doc":"Get current time with or without timezone.\n\nIt takes 1 optional argument i.e `time_zone name`.\nIt returns `utc time` by default when no arguments is passed and time_zone specific time when time_zone is provided as `String`.","ref":"Datex.Time.html#now/1"},{"type":"function","title":"Examples - Datex.Time.now/1","doc":"iex()> Datex.Time.now()\n    \"04:21 AM\"\n\n    iex()> Datex.Time.now(\"Pacific/Fakaofo\")\n    \"06:24 PM\"","ref":"Datex.Time.html#now/1-examples"},{"type":"function","title":"Datex.Time.time_period/1","doc":"Returns the time period for the given time.\nIf no time is provided, defaults to current time.","ref":"Datex.Time.html#time_period/1"},{"type":"function","title":"Examples - Datex.Time.time_period/1","doc":"iex> Datex.Time.time_period()\n    \"morning\"  # or whatever period it currently is\n\n    iex> Datex.Time.time_period(\"08:30\")\n    \"morning\"\n\n    iex> Datex.Time.time_period(\"14:30\")\n    \"afternoon\"\n\n    iex> Datex.Time.time_period(\"20:30\")\n    \"evening\"\n\n    iex> Datex.Time.time_period(\"23:30\")\n    \"night\"\n\n    iex> Datex.Time.time_period(\"05:30\")\n    \"night\"","ref":"Datex.Time.html#time_period/1-examples"},{"type":"function","title":"Datex.Time.time_range/3","doc":"Generates a list of times between start and end time with specified interval.","ref":"Datex.Time.html#time_range/3"},{"type":"function","title":"Examples - Datex.Time.time_range/3","doc":"iex> Datex.Time.time_range(\"09:00\", \"10:00\", 15)\n    [\"09:00\", \"09:15\", \"09:30\", \"09:45\", \"10:00\"]\n\n    iex> Datex.Time.time_range(\"14:00\", \"15:30\", 30)\n    [\"14:00\", \"14:30\", \"15:00\", \"15:30\"]\n\n    iex> Datex.Time.time_range(\"23:00\", \"01:00\", 60)\n    [\"23:00\", \"00:00\", \"01:00\"]","ref":"Datex.Time.html#time_range/3-examples"},{"type":"module","title":"Datex.Timezones","doc":"","ref":"Datex.Timezones.html"},{"type":"function","title":"Datex.Timezones.timezones/0","doc":"","ref":"Datex.Timezones.html#timezones/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}